Subject: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Jan 2010 00:13:03 +0200

> Date: Tue, 19 Jan 2010 23:24:55 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I didn't yet have time to see why Emacs 23.1 does not hit this
> problem, but given the above mess, it could well be by sheer luck.

Looks like that: in Emacs 23.1, the first call to `load' does not
treat the file as ``magic'': `openp' returns a positive file
descriptor, and we then load the file with load-with-code-conversion,
as expected.  End of story; there's no recursive call to `load' after
disabling Tramp's file-name completion handler, no nothing.

It sounds like it's Tramp-related after all, or maybe TRamp uncovers
some old hidden bug.